from django.conf.urls.defaults import *
from django.contrib import admin
from fosslib.fosslibapp import views

admin.autodiscover()

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('fosslib.fosslibapp.views',
    # Example:
    # (r'^fosslib/', include('fosslib.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
     (r'^admin/(.*)', admin.site.root),
     (r'^$', 'firstpage'),
     (r'^home/$', 'firstpage'),	
     (r'^entries/([^/]+)','tagentries'),
     (r'^insertdata/$','libentry'),
     (r'^viewdata/$', 'libview'),
     (r'^editdata/(\d+)/$','libedit'),
     (r'^about/$','about'),
     (r'^record/(\d+)/$','librec'),
     (r'^i18n/', include('django.conf.urls.i18n')),

     	
)
